OOD 1.7 upgrade advice

I have a 1.7.14 installation running on one of our centos 7 clusters and I am interested in updating to 1.8.x to try out the xdmod integration. After backing up all of my config, can I simply yum install ondemand and grab the latest version? Any pitfalls I need to look out for?

Thanks!
Nathan Elger

I would always refer to the release notes for upgrading to any given version. Search that page for warnings. What pops out to me is enabling an allowlist for ssh hosts, otherwise the shell app will block all the hosts you try to connect to.

https://osc.github.io/ood-documentation/master/release-notes/v1.8-release-notes.html

Also because we’re in the process of upgrading major versions, blanket updates don’t work right now so you’ll have to run yum update ondemand to just update it. Here’s more info on that: